Skip to main content
PATCH
/
items
/
{itemId}
/
salesChannelPrices
/
{salesChannelId}
/
{customerGroupId}
/
{fromQuantity}
Update Item Sales Channel Price
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices/{salesChannelId}/{customerGroupId}/{fromQuantity} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "NetPrice": 123,
  "ReduceStandardPriceByPercent": 123
}
'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesChannelId
string
required

The sales channel Id of the item that the sales channel price belongs to. Only online shops and JTL-POS are allowed.

fromQuantity
integer<int32>
required

The quantity the customer must buy to find the sales price.

itemId
integer<int32>
required

The item Id of the item that the sales channel price belongs to.

customerGroupId
integer<int32>
required

The customer Group Id of the item that the sales channel price belongs to.

Body

application/json

The item sales channel price to update.

Model Class: UpdateItemSalesChannelPrice

NetPrice
number<decimal>

The net sales price of the item. If you use NetPrice, you can't use ReduceStandardPriceByPercent too. Only one can be used.

ReduceStandardPriceByPercent
number<decimal>

Reduce the default sales price by a percentage. If you use NetPrice, you can't use ReduceStandardPriceByPercent too. Only one can be used.

Response